###################################################
### chunk number 1: options
###################################################

options(width=80)



###################################################
### chunk number 2: readChangSupp
###################################################

changSupp <- 
  read.table(file.path("RawData","ChangLancet","01art11086webtable_rev.csv"),
             sep=",", strip.white=TRUE)
dim(changSupp)
changSupp[1:5,c(1:4,6,29)]



###################################################
### chunk number 3: parseChangSuppProbeAnnot
###################################################

changSuppProbeAnnot <- 
  data.frame(GenBank   = as.character(changSupp[5:96,2]), 
             LocusLink = as.numeric(  changSupp[5:96,3]), 
             Symbol    = as.character(changSupp[5:96,4]), 
             GeneName  = as.character(changSupp[5:96,5]), 
             row.names = as.character(changSupp[5:96,1]))
dim(changSuppProbeAnnot)
changSuppProbeAnnot[1:3, ]



###################################################
### chunk number 4: parseChangSuppClinical
###################################################

changSuppClinical <- 
  data.frame(PercentResidualTumor =   as.numeric(  t(changSupp[2,6:29])), 
             Status               = I(as.character(t(changSupp[3,6:29]))), 
             row.names            =   as.character(t(changSupp[1,6:29])))
dim(changSuppClinical)
changSuppClinical[c(1:2,24),]



###################################################
### chunk number 5: expandChangSuppClinical
###################################################

changSuppClinical[changSuppClinical[,"Status"]=="S","Status"] <-
  "Sensitive"
changSuppClinical[changSuppClinical[,"Status"]=="R","Status"] <-
  "Resistant"
changSuppClinical



###################################################
### chunk number 6: parseChangSuppQuants
###################################################

changSuppQuants <- matrix(as.numeric(as.matrix(changSupp[5:96,6:29])), 
                          nrow = 92, ncol = 24)
rownames(changSuppQuants) <- rownames(changSuppProbeAnnot)
colnames(changSuppQuants) <- rownames(changSuppClinical)
dim(changSuppQuants)
changSuppQuants[1:5,1:4]



###################################################
### chunk number 7: getChangTable1
###################################################

changTable1 <- 
  read.table(file.path("RawData", "ChangLancet", "changTable1.csv"),
             sep = ",", header = TRUE)
dim(changTable1)
changTable1[1:2, ]



###################################################
### chunk number 8: saveStuff
###################################################

save(changSuppProbeAnnot, changSuppClinical, 
     changSuppQuants, changTable1,
     file=file.path("RDataObjects","changSuppAndTable.Rda"))



###################################################
### chunk number 9: getLocation
###################################################

getwd()



###################################################
### chunk number 10: saveStuff
###################################################



###################################################
### chunk number 11: sessionInfo
###################################################

sessionInfo();



