###################################################
### chunk number 1: options
###################################################

options(width=80)



###################################################
### chunk number 2: readCisplatinTable
###################################################

cisplatinTable <- 
  read.table(file.path("RawData","HsuJCO","cisplatinGeneList.csv"),
             header=TRUE, skip=1, sep=",")
dim(cisplatinTable)
cisplatinTable[1:8,]



###################################################
### chunk number 3: extractCisplatinGenes
###################################################

cisplatinReportedProbesets <- 
  cisplatinTable[as.character(cisplatinTable[,"Gene.Title"]) != "",
                 c("Gene.Title","GO.Biological.Process.Description")]
colnames(cisplatinReportedProbesets) <- c("probesetID","geneSymbol")
cisplatinReportedProbesets[,"probesetID"] <- 
  as.character(cisplatinReportedProbesets[,"probesetID"])
cisplatinReportedProbesets[,"geneSymbol"] <- 
  as.character(cisplatinReportedProbesets[,"geneSymbol"])
rownames(cisplatinReportedProbesets) <-
  cisplatinReportedProbesets[,"probesetID"]
dim(cisplatinReportedProbesets)
cisplatinReportedProbesets[1:5,]



###################################################
### chunk number 4: readPemetrexedTable
###################################################

pemetrexedTable <- 
  read.table(file.path("RawData","HsuJCO","pemetrexedGeneList.csv"),
             header=TRUE, skip=1, sep=",")
dim(pemetrexedTable)
pemetrexedTable[1:5,]



###################################################
### chunk number 5: extractPemetrexedGenes
###################################################

pemetrexedReportedProbesets <- 
  pemetrexedTable[as.character(pemetrexedTable[,"Gene.Title"]) != "",
                 c("Gene.Title","GO.Biological.Process.Description")]
colnames(pemetrexedReportedProbesets) <- c("probesetID","geneSymbol")
pemetrexedReportedProbesets[,"probesetID"] <- 
  as.character(pemetrexedReportedProbesets[,"probesetID"])
pemetrexedReportedProbesets[,"geneSymbol"] <- 
  as.character(pemetrexedReportedProbesets[,"geneSymbol"])
rownames(pemetrexedReportedProbesets) <-
  pemetrexedReportedProbesets[,"probesetID"]
dim(pemetrexedReportedProbesets)
pemetrexedReportedProbesets[1:5,]



###################################################
### chunk number 6: saveRda
###################################################

save(cisplatinTable, cisplatinReportedProbesets,
     pemetrexedTable, pemetrexedReportedProbesets,
     file=file.path("RDataObjects","hsuReportedGenelists.Rda"))



###################################################
### chunk number 7: getLocation
###################################################

getwd()



###################################################
### chunk number 8: saveStuff
###################################################




###################################################
### chunk number 9: sessionInfo
###################################################

sessionInfo();



